summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-rpg/wasteland2
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-rpg/wasteland2')
-rw-r--r--games-rpg/wasteland2/Manifest1
-rw-r--r--games-rpg/wasteland2/metadata.xml9
-rw-r--r--games-rpg/wasteland2/wasteland2-1.9.0.13.ebuild86
3 files changed, 96 insertions, 0 deletions
diff --git a/games-rpg/wasteland2/Manifest b/games-rpg/wasteland2/Manifest
new file mode 100644
index 00000000000..1c3b4506b6f
--- /dev/null
+++ b/games-rpg/wasteland2/Manifest
@@ -0,0 +1 @@
+DIST gog_wasteland_2_1.9.0.13.tar.gz 10959158010 SHA256 0f6bf4f806de3233a11ec1049f96d779f8d013dc38f296d101466701fa931728 SHA512 8b5ed19ffee9505efaf03f7ef3ba55dbdbbeda68b7961e92c22776bbb7e842df8c5e5ee727967e79dec753fd03d39f0a1c98e380e540971834b56066b6a79929 WHIRLPOOL d53f4636606c03a5977b9603495f61aaedc3f1851a1ca2bd8b4b2bda6feff8de0f9ec488fa10b052870fbfbea875673f2fe27fafd92ee0c663b0ae158171c2ee
diff --git a/games-rpg/wasteland2/metadata.xml b/games-rpg/wasteland2/metadata.xml
new file mode 100644
index 00000000000..ee67c3092f5
--- /dev/null
+++ b/games-rpg/wasteland2/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <maintainer>
+ <email>hasufell@gentoo.org</email>
+ <name>Julian Ospald</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/games-rpg/wasteland2/wasteland2-1.9.0.13.ebuild b/games-rpg/wasteland2/wasteland2-1.9.0.13.ebuild
new file mode 100644
index 00000000000..1118431376d
--- /dev/null
+++ b/games-rpg/wasteland2/wasteland2-1.9.0.13.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils gnome2-utils check-reqs games
+
+DESCRIPTION="Direct sequel to 1988's Wasteland, the first-ever post-apocalyptic computer RPG and the inspiration behind the Fallout series"
+HOMEPAGE="https://wasteland.inxile-entertainment.com/"
+SRC_URI="gog_wasteland_2_${PV}.tar.gz"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="bindist fetch mirror"
+
+QA_PREBUILT="${GAMES_PREFIX_OPT}/${PN}/*"
+
+RDEPEND="
+ >=dev-libs/atk-2.12.0-r1[abi_x86_32(-)]
+ >=dev-libs/glib-2.40.0-r1:2[abi_x86_32(-)]
+ >=media-libs/fontconfig-2.10.92:1.0[abi_x86_32(-)]
+ >=media-libs/freetype-2.5.3-r1:2[abi_x86_32(-)]
+ >=x11-libs/cairo-1.12.16-r2[abi_x86_32(-)]
+ >=x11-libs/gdk-pixbuf-2.30.8:2[abi_x86_32(-)]
+ >=x11-libs/gtk+-2.24.24:2[abi_x86_32(-)]
+ >=x11-libs/pango-1.36.5[abi_x86_32(-)]
+ >=x11-libs/libX11-1.6.2[abi_x86_32(-)]
+ >=x11-libs/libXcursor-1.1.14[abi_x86_32(-)]
+ >=x11-libs/libXext-1.3.2[abi_x86_32(-)]
+ >=x11-libs/libXrandr-1.4.2[abi_x86_32(-)]
+ >=virtual/glu-9.0-r1[abi_x86_32(-)]
+ virtual/opengl
+"
+
+S="${WORKDIR}/Wasteland 2"
+
+CHECKREQS_DISK_BUILD="22000M"
+CHECKREQS_DISK_USR="21600M"
+
+pkg_nofetch() {
+ einfo
+ einfo "Please buy Wasteland 2"
+ einfo "from https://www.gog.com/ and"
+ einfo "download \"${SRC_URI}\""
+ einfo "and move/link it to \"${DISTDIR}\""
+ einfo
+ einfo "This ebuild was tested with the CLASSICAL edition."
+ einfo "If it works with the deluxe edition too, please"
+ einfo "open a bug report. If not, open a bug report too."
+ einfo
+}
+
+src_install() {
+ local dir=${GAMES_PREFIX_OPT}/${PN}
+
+ # over 20GB of data
+ dodir "${dir}"
+ mv game/WL2_Data "${D%/}${dir}"/ || die
+ exeinto "${dir}"
+ doexe game/WL2
+
+ games_make_wrapper ${PN} ./WL2 "${dir}"
+ newicon -s 256 support/gog-wasteland-2.png ${PN}.png
+ make_desktop_entry ${PN} "Wasteland 2"
+
+ dodoc docs/*.pdf
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}